Subject: Re: [PATCH net-next] xdp: Make __mem_id_disconnect static

From: Jesper Dangaard Brouer <[email-masked]>
Date: Tue, 25 Jun 2019 11:21:04 +0200

On Tue, 25 Jun 2019 10:31:37 +0800
YueHaibing <[email-masked]> wrote:

> Fix sparse warning:
> 
> net/core/xdp.c:88:6: warning:
>  symbol '__mem_id_disconnect' was not declared. Should it be static?

I didn't declare it static as I didn't want it to get inlined.  As
during development I was using kprobes to inspect this function.  In
the end I added a tracepoint in this function as kprobes was not enough
to capture the state needed.

So, I guess we can declare it static.

Acked-by: Jesper Dangaard Brouer <[email-masked]>

> Reported-by: Hulk Robot <[email-masked]>
> Signed-off-by: YueHaibing <[email-masked]>
> ---
>  net/core/xdp.c | 2 +-
>  1 file changed, 1 insertion(+), 1 deletion(-)
> 
> diff --git a/net/core/xdp.c b/net/core/xdp.c
> index b29d7b5..829377c 100644
> --- a/net/core/xdp.c
> +++ b/net/core/xdp.c
> @@ -85,7 +85,7 @@ static void __xdp_mem_allocator_rcu_free(struct rcu_head *rcu)
>  	kfree(xa);
>  }
>  
> -bool __mem_id_disconnect(int id, bool force)
> +static bool __mem_id_disconnect(int id, bool force)
>  {
>  	struct xdp_mem_allocator *xa;
>  	bool safe_to_remove = true;

-- 
Best regards,
  Jesper Dangaard Brouer
  MSc.CS, Principal Kernel Engineer at Red Hat
  LinkedIn: http://www.linkedin.com/in/brouer